%global pypi_name httplib2shim

Name:           python-%{pypi_name}
Version:        0.0.3
Release:        1%{?dist}
Summary:        Wrapper over urllib3 that matches httplib2's interface

License:        MIT
URL:            https://github.com/GoogleCloudPlatform/httplib2shim
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
httplib2shim is a wrapper over httplib2 that uses urllib3 to perform HTTP
requests. This library is intended to help existing legacy libraries (and
their users) to migrate away from httplib2. It is not intended to be a
general purpose replacement for httplib2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(httplib2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
httplib2shim is a wrapper over httplib2 that uses urllib3 to perform HTTP
requests. This library is intended to help existing legacy libraries (and
their users) to migrate away from httplib2. It is not intended to be a
general purpose replacement for httplib2.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v httplib2shim/test -k "not UrlSafenameTest"

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Oct 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.3-1
- Initial package for Fedora
